Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Aug 2022 12:00:01 +0200

Michael Albinus <[email-masked]> writes:

> I don't believe it is a load-path issue. calendar-cursor-to-visible-date
> is declared in cal-loaddefs.el (it has the ;;;###cal-autoload cookie),
> and this loaddefs file is loaded when loading calendar.el.
>
> That has been finished already, when calendar-basic-setup is applied.

Yes, cal-loaddefs had been loaded.  

> The question is rather: what is cal-move.so, and how and why is it
> checked for readability? In the directory emacs/lisp/calendar I cannot
> find any use of this file.

The backtrace shows that Emacs was trying to load cal-move.so, and
that's presumably something that Emacs tries to do when resolving the
`autoload' definition of `calendar-cursor-to-visible-date', I think?
(If I remember correctly, Emacs looks for all of so/elc/el, if Emacs is
built with module support, when doing a `require'/`autoload' lookup.)